Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Keep getting "LoL Patcher quit unexpectedly" message.

Comment below rating threshold, click here to show it.

EarthToMarcus

Junior Member

09-06-2014

Its says im up to date but i have the same problem. Can anyone help me?


Comment below rating threshold, click here to show it.

andrewdrexx

Junior Member

09-07-2014

anybody have a link to the download?
I have spent over a hour looking for the maverick and it keeps sending me to random sites, can someone post a link to where i can download it?


Comment below rating threshold, click here to show it.

Sneakz99

Junior Member

09-07-2014

can't u just download it from the app store? Also i am having the same problem as all of u but for mine when i try opening it i can't see anything except a white dot in the middle of my screen


Comment below rating threshold, click here to show it.

TimmyTheDinosaur

Junior Member

09-11-2014

Bad News...

Even after updating to Mavericks and reinstalling League completely, LOL Patcher is still doing this:

1068222

Also by the off chance that I can get into the client from the patcher, It still periodically and randomly quits when it seems to have had its fill.
I've been able to get into a couple of games, but even then it wont last long before I am disconnected and can't reconnect.
Haven't played a full game since before 4.16 patch.

Pretty frustrating.

Is there a way to troubleshoot more specifically?
I seem to be having the same problem as a lot of Mac Client users...

Screen Shot 2014-09-11 at 5.50.39 AM.jpg

Comment below rating threshold, click here to show it.

lm Jungle

Junior Member

09-17-2014

Quote:
triggs:
if you're running 10.6.8, it's no longer supported. You need to upgrade to maverick.

thank you for being the blunt answer i needed. #triggsrocks


Comment below rating threshold, click here to show it.

GetGoodKid77

Junior Member

10-05-2014

i tried to update to Mavericks but my MAC says theirs a problem with the mac idk PLZ RIOT LET 10.6.8 play lol again!